////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____ 
//  /   /\/   / 
// /___/  \  /    Vendor: Xilinx 
// \   \   \/     Version : 14.7
//  \   \         Application : sch2hdl
//  /   /         Filename : acsi_cf.vf
// /___/   /\     Timestamp : 05/17/2020 23:02:10
// \   \  /  \ 
//  \___\/\___\ 
//
//Command: sch2hdl -intstyle ise -family xc9500xl -verilog E:/ElektroSoft/Xilinx/PROJECTS/ATARI_ST/Atari_ACSI_CF_interface_PUTNIK_variation/acsi_cf.vf -w E:/ElektroSoft/Xilinx/PROJECTS/ATARI_ST/Atari_ACSI_CF_interface_PUTNIK_variation/acsi_cf.sch
//Design Name: acsi_cf
//Device: xc9500xl
//Purpose:
//    This verilog netlist is translated from an ECS schematic.It can be 
//    synthesized and simulated, but it should not be modified. 
//
`timescale 1ns / 1ps

module FD8CE_MXILINX_acsi_cf(C, 
                             CE, 
                             CLR, 
                             D, 
                             Q);

    input C;
    input CE;
    input CLR;
    input [7:0] D;
   output [7:0] Q;
   
   
   FDCE #( .INIT(1'b0) ) Q0 (.C(C), 
            .CE(CE), 
            .CLR(CLR), 
            .D(D[0]), 
            .Q(Q[0]));
   FDCE #( .INIT(1'b0) ) Q1 (.C(C), 
            .CE(CE), 
            .CLR(CLR), 
            .D(D[1]), 
            .Q(Q[1]));
   FDCE #( .INIT(1'b0) ) Q2 (.C(C), 
            .CE(CE), 
            .CLR(CLR), 
            .D(D[2]), 
            .Q(Q[2]));
   FDCE #( .INIT(1'b0) ) Q3 (.C(C), 
            .CE(CE), 
            .CLR(CLR), 
            .D(D[3]), 
            .Q(Q[3]));
   FDCE #( .INIT(1'b0) ) Q4 (.C(C), 
            .CE(CE), 
            .CLR(CLR), 
            .D(D[4]), 
            .Q(Q[4]));
   FDCE #( .INIT(1'b0) ) Q5 (.C(C), 
            .CE(CE), 
            .CLR(CLR), 
            .D(D[5]), 
            .Q(Q[5]));
   FDCE #( .INIT(1'b0) ) Q6 (.C(C), 
            .CE(CE), 
            .CLR(CLR), 
            .D(D[6]), 
            .Q(Q[6]));
   FDCE #( .INIT(1'b0) ) Q7 (.C(C), 
            .CE(CE), 
            .CLR(CLR), 
            .D(D[7]), 
            .Q(Q[7]));
endmodule
`timescale 1ns / 1ps

module AND6_MXILINX_acsi_cf(I0, 
                            I1, 
                            I2, 
                            I3, 
                            I4, 
                            I5, 
                            O);

    input I0;
    input I1;
    input I2;
    input I3;
    input I4;
    input I5;
   output O;
   
   wire I35;
   
   AND3  I_36_69 (.I0(I3), 
                 .I1(I4), 
                 .I2(I5), 
                 .O(I35));
   AND4  I_36_85 (.I0(I0), 
                 .I1(I1), 
                 .I2(I2), 
                 .I3(I35), 
                 .O(O));
endmodule
`timescale 1ns / 1ps

module acsi_cf(data_in, 
               f12_MONOST, 
               i1_A1, 
               i2_CS, 
               i3_RW, 
               i4_ACK, 
               i5_INTRQ, 
               i6_LCT_Q6, 
               i7_LCT_Q7, 
               i8_INPACK, 
               i9_RESET, 
               i11_LCT_Q8, 
               data_out, 
               o13_IRQA, 
               o15_DRQA, 
               o17_IORD, 
               o18_IOWR);

    input [7:0] data_in;
    input f12_MONOST;
    input i1_A1;
    input i2_CS;
    input i3_RW;
    input i4_ACK;
    input i5_INTRQ;
    input i6_LCT_Q6;
    input i7_LCT_Q7;
    input i8_INPACK;
    input i9_RESET;
    input i11_LCT_Q8;
   output [7:0] data_out;
   output o13_IRQA;
   output o15_DRQA;
   output o17_IORD;
   output o18_IOWR;
   
   wire o19_LATCH;
   wire XLXN_11;
   wire XLXN_12;
   wire XLXN_20;
   wire XLXN_32;
   wire XLXN_36;
   wire XLXN_37;
   wire XLXN_38;
   wire XLXN_39;
   
   AND4B3  XLXI_1 (.I0(i3_RW), 
                  .I1(i2_CS), 
                  .I2(i1_A1), 
                  .I3(i9_RESET), 
                  .O(o19_LATCH));
   AND4B3  XLXI_3 (.I0(i11_LCT_Q8), 
                  .I1(i3_RW), 
                  .I2(i2_CS), 
                  .I3(i1_A1), 
                  .O(XLXN_11));
   (* HU_SET = "XLXI_4_0" *) 
   AND6_MXILINX_acsi_cf  XLXI_4 (.I0(f12_MONOST), 
                                .I1(i8_INPACK), 
                                .I2(XLXN_20), 
                                .I3(XLXN_39), 
                                .I4(XLXN_38), 
                                .I5(XLXN_36), 
                                .O(XLXN_12));
   INV  XLXI_5 (.I(i11_LCT_Q8), 
               .O(XLXN_36));
   INV  XLXI_6 (.I(i4_ACK), 
               .O(XLXN_38));
   INV  XLXI_7 (.I(i6_LCT_Q6), 
               .O(XLXN_39));
   INV  XLXI_8 (.I(i7_LCT_Q7), 
               .O(XLXN_20));
   AND4B2  XLXI_10 (.I0(XLXN_36), 
                   .I1(i2_CS), 
                   .I2(i3_RW), 
                   .I3(i1_A1), 
                   .O(XLXN_32));
   (* HU_SET = "XLXI_11_1" *) 
   AND6_MXILINX_acsi_cf  XLXI_11 (.I0(f12_MONOST), 
                                 .I1(i8_INPACK), 
                                 .I2(i7_LCT_Q7), 
                                 .I3(XLXN_36), 
                                 .I4(XLXN_39), 
                                 .I5(XLXN_38), 
                                 .O(XLXN_37));
   NOR2  XLXI_13 (.I0(XLXN_12), 
                 .I1(XLXN_11), 
                 .O(o18_IOWR));
   NOR2  XLXI_14 (.I0(XLXN_37), 
                 .I1(XLXN_32), 
                 .O(o17_IORD));
   NAND3  XLXI_15 (.I0(i4_ACK), 
                  .I1(f12_MONOST), 
                  .I2(XLXN_36), 
                  .O(o15_DRQA));
   INV  XLXI_16 (.I(i5_INTRQ), 
                .O(o13_IRQA));
   (* HU_SET = "XLXI_19_2" *) 
   FD8CE_MXILINX_acsi_cf  XLXI_19 (.C(o19_LATCH), 
                                  .CE(), 
                                  .CLR(), 
                                  .D(data_in[7:0]), 
                                  .Q(data_out[7:0]));
endmodule
